/*****************************************************************************

File: ClipmapSceneManagerDll.cpp
Desc: 
Date: 2005/01/01

Author: Wim Lemkens

*****************************************************************************/

#include <OgreRoot.h>
#include "ClipmapSceneManager.h"

namespace Ogre
{

	ClipmapSceneManagerFactory* ClipmapPlugin;

	extern "C" void dllStartPlugin(void)
	{
		// Create new scene manager Factory
		ClipmapPlugin = new ClipmapSceneManagerFactory();
		// Register
		Root::getSingleton().addSceneManagerFactory(ClipmapPlugin);

	}

	extern "C" void dllShutdownPlugin(void)
	{
		Root::getSingleton().removeSceneManagerFactory(ClipmapPlugin);
	}

	extern "C" void dllStopPlugin(void)
	{
		delete ClipmapPlugin;
	}
}
